# contact printer

A desktop 16mm contact printer and film transport platform made using 3D printing and aluminum extrusion.

## [Project Home: git.sixteenmillimeter.com/16mm/contact_printer](https://git.sixteenmillimeter.com/16mm/contact_printer)

## Acknowledgements

Developed with support from [Filmwerkplaats at WORM](https://worm.org/spaces/filmwerkplaats/) and [SPECTRAL](http://www.spectral-cinematics.eu/).

Special thanks to [Esther Urlus](https://estherurlus.hotglue.me/), [Hrvoje Spudić](https://hrvojespudic.net/) and [Nan Wang](https://nanwang.org/).

Magnetic clutch design inspired by Clyde Shaffer's [Shaffer Linear Processor](https://clydeshaffer.com/slp/).

---

## Description

This contact printer is designed to make 16mm prints using affordable electronics and 3D printing.
It is *not* intended as a replacement for professional printers like the Bell & Howell Model C.
This project is for DIY filmmakers, independent artists and small film labs to have a machine that can produce reasonable-quality work prints with a small footprint on short lengths of film easily.


---

![contact printer render](https://github.com/sixteenmillimeter/contact_printer/blob/master/img/contact_printer.png?raw=true)

---

# Examples

[Contact](https://vimeo.com/flashfra/contact?share=git) the first print made on the prototype during a residency at [Filmwerkplaats](https://filmwerkplaats.org/).
Soundtrack applied by the opt_snd soundtrack recorder system by [Hrvoje Spudić](https://hrvojespudic.net/optical-sound-2).

# Bill of Materials

Below are estimates based on per-unit costs found online.
Actual price of a full build may be higher.

<!-- bom -->

|                Part                 | Qty | Cost (USD) |
|-------------------------------------|-----|------------|
| M4 hex bolt 40mm                    | 4   | 5.0        |
| M3 sliding t slot nut               | 25  | 1.5        |
| M3 hex cap bolt 8mm                 | 25  | 2.25       |
| M3 hex cap bolt 6mm                 | 8   | 0.56       |
| M3 hex cap bolt 12mm                | 1   | 0.0        |
| L298N Motor driver module           | 1   | 2.89       |
| ESP32 GPIO breakout board           | 1   | 5.99       |
| ESP32 Dev board                     | 1   | 6.66       |
| 250RPM DC geared motor              | 2   | 29.98      |
| 2020 Aluminum extrusion 420mm       | 2   | 5.22       |
| 2020 Aluminum extrusion 260mm       | 4   | 6.44       |
| 100RPM DC geared motor with encoder | 1   | 17.02      |
|---------|---------------|------------------------------------|
| TOTAL   | 75            | 83.51                              |



<!-- /bom -->

### Mirrors

* [github.com/sixteenmillimeter/contact_printer](https://github.com/sixteenmillimeter/contact_printer)
* [gitlab.com/16mm/contact_printer](https://gitlab.com/16mm/contact_printer)
